ranges::v3::view::set_intersection_fn Struct Reference

## Synopsis of methods

constexpr view< set_intersection_fn > | set_intersection {}

## Public Types

template<typename Rng1 , typename Rng2 , typename C , typename P1 , typename P2 , typename I1 = iterator_t<Rng1>, typename I2 = iterator_t<Rng2>>
using | Concept = meta::and_< InputRange< Rng1 >, InputRange< Rng2 >, IndirectRelation< C, projected< I1, P1 >, projected< I2, P2 > > >

## Public Member Functions

template<typename Rng1 , typename Rng2 , typename C = ordered_less, typename P1 = ident, typename P2 = ident, requires = (Concept<Rng1, Rng2, C, P1, P2>())>
set_intersection_view< all_t< Rng1 >, all_t< Rng2 >, C, P1, P2 > | operator() (Rng1 &&rng1, Rng2 &&rng2, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{}) const